/*
 * @Author: wrh
 * @Date: 2025-05-15 09:14:39
 * @LastEditors: wrh
 * @LastEditTime: 2025-12-25 17:08:07
 */
import request from '@/utils/request'

// 查询cmc项目核算列表
export function listCheck(query) {
  return request({
    url: '/oa/check/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目核算详细
export function getCheck(checkId) {
  return request({
    url: '/oa/check/' + checkId,
    method: 'get'
  })
}

// 新增cmc项目核算
export function addCheck(data) {
  return request({
    url: '/oa/check',
    method: 'post',
    data: data
  })
}

// 修改cmc项目核算
export function updateCheck(data) {
  return request({
    url: '/oa/check',
    method: 'put',
    data: data
  })
}

// 删除cmc项目核算
export function delCheck(checkId) {
  return request({
    url: '/oa/check/' + checkId,
    method: 'delete'
  })
}

// 核算统计
export function getCheckStatistic(query) {
  return request({
    url: '/oa/check/statistic',
    method: 'get',
    params: query
  })
}
